Package org.gdal.ogr

## Class Layer

- java.lang.Object
- - org.gdal.gdal.MajorObject
  - - org.gdal.ogr.Layer

-     public class Layer
      extends MajorObject

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Layer​(long cPtr, boolean cMemoryOwn)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addReference​(java.lang.Object reference)` |
    `int` | `AlterFieldDefn​(int iField, FieldDefn field_def, int nFlags)` |
    `int` | `Clip​(Layer method_layer, Layer result_layer)` |
    `int` | `Clip​(Layer method_layer, Layer result_layer, java.util.Vector options)` |
    `int` | `Clip​(Layer method_layer, Layer result_layer, java.util.Vector options, ProgressCallback callback)` |
    `int` | `CommitTransaction​()` |
    `int` | `CreateFeature​(Feature feature)` |
    `int` | `CreateField​(FieldDefn field_def)` |
    `int` | `CreateField​(FieldDefn field_def, int approx_ok)` |
    `int` | `CreateGeomField​(GeomFieldDefn field_def)` |
    `int` | `CreateGeomField​(GeomFieldDefn field_def, int approx_ok)` |
    `void` | `delete​()` |
    `int` | `DeleteFeature​(long fid)` |
    `int` | `DeleteField​(int iField)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `Erase​(Layer method_layer, Layer result_layer)` |
    `int` | `Erase​(Layer method_layer, Layer result_layer, java.util.Vector options)` |
    `int` | `Erase​(Layer method_layer, Layer result_layer, java.util.Vector options, ProgressCallback callback)` |
    `int` | `FindFieldIndex​(java.lang.String pszFieldName, int bExactMatch)` |
    `static long` | `getCPtr​(Layer obj)` |
    `static long` | `getCPtrAndDisown​(Layer obj)` |
    `double[]` | `GetExtent​()` |
    `double[]` | `GetExtent​(boolean force)` |
    `int` | `GetExtent​(double[] argout, int force)` |
    `Feature` | `GetFeature​(long fid)` |
    `long` | `GetFeatureCount​()` |
    `long` | `GetFeatureCount​(int force)` |
    `long` | `GetFeaturesRead​()` |
    `java.lang.String` | `GetFIDColumn​()` |
    `java.lang.String` | `GetGeometryColumn​()` |
    `int` | `GetGeomType​()` |
    `FeatureDefn` | `GetLayerDefn​()` |
    `java.lang.String` | `GetName​()` |
    `Feature` | `GetNextFeature​()` |
    `int` | `GetRefCount​()` |
    `Geometry` | `GetSpatialFilter​()` |
    `SpatialReference` | `GetSpatialRef​()` |
    `StyleTable` | `GetStyleTable​()` |
    `int` | `hashCode​()` |
    `int` | `Identity​(Layer method_layer, Layer result_layer)` |
    `int` | `Identity​(Layer method_layer, Layer result_layer, java.util.Vector options)` |
    `int` | `Identity​(Layer method_layer, Layer result_layer, java.util.Vector options, ProgressCallback callback)` |
    `int` | `Intersection​(Layer method_layer, Layer result_layer)` |
    `int` | `Intersection​(Layer method_layer, Layer result_layer, java.util.Vector options)` |
    `int` | `Intersection​(Layer method_layer, Layer result_layer, java.util.Vector options, ProgressCallback callback)` |
    `int` | `ReorderField​(int iOldFieldPos, int iNewFieldPos)` |
    `int` | `ReorderFields​(int[] nList)` |
    `void` | `ResetReading​()` |
    `int` | `RollbackTransaction​()` |
    `int` | `SetAttributeFilter​(java.lang.String filter_string)` |
    `int` | `SetFeature​(Feature feature)` |
    `int` | `SetIgnoredFields​(java.util.Vector options)` |
    `int` | `SetNextByIndex​(long new_index)` |
    `void` | `SetSpatialFilter​(int iGeomField, Geometry filter)` |
    `void` | `SetSpatialFilter​(Geometry filter)` |
    `void` | `SetSpatialFilterRect​(double minx, double miny, double maxx, double maxy)` |
    `void` | `SetSpatialFilterRect​(int iGeomField, double minx, double miny, double maxx, double maxy)` |
    `void` | `SetStyleTable​(StyleTable table)` |
    `int` | `StartTransaction​()` |
    `int` | `SymDifference​(Layer method_layer, Layer result_layer)` |
    `int` | `SymDifference​(Layer method_layer, Layer result_layer, java.util.Vector options)` |
    `int` | `SymDifference​(Layer method_layer, Layer result_layer, java.util.Vector options, ProgressCallback callback)` |
    `int` | `SyncToDisk​()` |
    `boolean` | `TestCapability​(java.lang.String cap)` |
    `int` | `Union​(Layer method_layer, Layer result_layer)` |
    `int` | `Union​(Layer method_layer, Layer result_layer, java.util.Vector options)` |
    `int` | `Union​(Layer method_layer, Layer result_layer, java.util.Vector options, ProgressCallback callback)` |
    `int` | `Update​(Layer method_layer, Layer result_layer)` |
    `int` | `Update​(Layer method_layer, Layer result_layer, java.util.Vector options)` |
    `int` | `Update​(Layer method_layer, Layer result_layer, java.util.Vector options, ProgressCallback callback)` |

    - ### Methods inherited from class org.gdal.gdal.MajorObject

      `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Layer

          public Layer​(long cPtr,
                       boolean cMemoryOwn)

  - ### Method Detail

    - #### getCPtr

          public static long getCPtr​(Layer obj)

    - #### delete

          public void delete​()

      Overrides:
        `delete` in class `MajorObject`

    - #### getCPtrAndDisown

          public static long getCPtrAndDisown​(Layer obj)

    - #### addReference

          public void addReference​(java.lang.Object reference)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetExtent

          public double[] GetExtent​(boolean force)

    - #### GetExtent

          public double[] GetExtent​()

    - #### GetRefCount

          public int GetRefCount​()

    - #### SetSpatialFilter

          public void SetSpatialFilter​(Geometry filter)

    - #### SetSpatialFilterRect

          public void SetSpatialFilterRect​(double minx,
                                           double miny,
                                           double maxx,
                                           double maxy)

    - #### SetSpatialFilter

          public void SetSpatialFilter​(int iGeomField,
                                       Geometry filter)

    - #### SetSpatialFilterRect

          public void SetSpatialFilterRect​(int iGeomField,
                                           double minx,
                                           double miny,
                                           double maxx,
                                           double maxy)

    - #### GetSpatialFilter

          public Geometry GetSpatialFilter​()

    - #### SetAttributeFilter

          public int SetAttributeFilter​(java.lang.String filter_string)

    - #### ResetReading

          public void ResetReading​()

    - #### GetName

          public java.lang.String GetName​()

    - #### GetGeomType

          public int GetGeomType​()

    - #### GetGeometryColumn

          public java.lang.String GetGeometryColumn​()

    - #### GetFIDColumn

          public java.lang.String GetFIDColumn​()

    - #### GetFeature

          public Feature GetFeature​(long fid)

    - #### GetNextFeature

          public Feature GetNextFeature​()

    - #### SetNextByIndex

          public int SetNextByIndex​(long new_index)

    - #### SetFeature

          public int SetFeature​(Feature feature)

    - #### CreateFeature

          public int CreateFeature​(Feature feature)

    - #### DeleteFeature

          public int DeleteFeature​(long fid)

    - #### SyncToDisk

          public int SyncToDisk​()

    - #### GetLayerDefn

          public FeatureDefn GetLayerDefn​()

    - #### GetFeatureCount

          public long GetFeatureCount​(int force)

    - #### GetFeatureCount

          public long GetFeatureCount​()

    - #### GetExtent

          public int GetExtent​(double[] argout,
                               int force)

    - #### TestCapability

          public boolean TestCapability​(java.lang.String cap)

    - #### CreateField

          public int CreateField​(FieldDefn field_def,
                                 int approx_ok)

    - #### CreateField

          public int CreateField​(FieldDefn field_def)

    - #### DeleteField

          public int DeleteField​(int iField)

    - #### ReorderField

          public int ReorderField​(int iOldFieldPos,
                                  int iNewFieldPos)

    - #### ReorderFields

          public int ReorderFields​(int[] nList)

    - #### AlterFieldDefn

          public int AlterFieldDefn​(int iField,
                                    FieldDefn field_def,
                                    int nFlags)

    - #### CreateGeomField

          public int CreateGeomField​(GeomFieldDefn field_def,
                                     int approx_ok)

    - #### CreateGeomField

          public int CreateGeomField​(GeomFieldDefn field_def)

    - #### StartTransaction

          public int StartTransaction​()

    - #### CommitTransaction

          public int CommitTransaction​()

    - #### RollbackTransaction

          public int RollbackTransaction​()

    - #### FindFieldIndex

          public int FindFieldIndex​(java.lang.String pszFieldName,
                                    int bExactMatch)

    - #### GetSpatialRef

          public SpatialReference GetSpatialRef​()

    - #### GetFeaturesRead

          public long GetFeaturesRead​()

    - #### SetIgnoredFields

          public int SetIgnoredFields​(java.util.Vector options)

    - #### Intersection

          public int Intersection​(Layer method_layer,
                                  Layer result_layer,
                                  java.util.Vector options,
                                  ProgressCallback callback)

    - #### Intersection

          public int Intersection​(Layer method_layer,
                                  Layer result_layer,
                                  java.util.Vector options)

    - #### Intersection

          public int Intersection​(Layer method_layer,
                                  Layer result_layer)

    - #### Union

          public int Union​(Layer method_layer,
                           Layer result_layer,
                           java.util.Vector options,
                           ProgressCallback callback)

    - #### Union

          public int Union​(Layer method_layer,
                           Layer result_layer,
                           java.util.Vector options)

    - #### Union

          public int Union​(Layer method_layer,
                           Layer result_layer)

    - #### SymDifference

          public int SymDifference​(Layer method_layer,
                                   Layer result_layer,
                                   java.util.Vector options,
                                   ProgressCallback callback)

    - #### SymDifference

          public int SymDifference​(Layer method_layer,
                                   Layer result_layer,
                                   java.util.Vector options)

    - #### SymDifference

          public int SymDifference​(Layer method_layer,
                                   Layer result_layer)

    - #### Identity

          public int Identity​(Layer method_layer,
                              Layer result_layer,
                              java.util.Vector options,
                              ProgressCallback callback)

    - #### Identity

          public int Identity​(Layer method_layer,
                              Layer result_layer,
                              java.util.Vector options)

    - #### Identity

          public int Identity​(Layer method_layer,
                              Layer result_layer)

    - #### Update

          public int Update​(Layer method_layer,
                            Layer result_layer,
                            java.util.Vector options,
                            ProgressCallback callback)

    - #### Update

          public int Update​(Layer method_layer,
                            Layer result_layer,
                            java.util.Vector options)

    - #### Update

          public int Update​(Layer method_layer,
                            Layer result_layer)

    - #### Clip

          public int Clip​(Layer method_layer,
                          Layer result_layer,
                          java.util.Vector options,
                          ProgressCallback callback)

    - #### Clip

          public int Clip​(Layer method_layer,
                          Layer result_layer,
                          java.util.Vector options)

    - #### Clip

          public int Clip​(Layer method_layer,
                          Layer result_layer)

    - #### Erase

          public int Erase​(Layer method_layer,
                           Layer result_layer,
                           java.util.Vector options,
                           ProgressCallback callback)

    - #### Erase

          public int Erase​(Layer method_layer,
                           Layer result_layer,
                           java.util.Vector options)

    - #### Erase

          public int Erase​(Layer method_layer,
                           Layer result_layer)

    - #### GetStyleTable

          public StyleTable GetStyleTable​()

    - #### SetStyleTable

          public void SetStyleTable​(StyleTable table)